bamRecordStruct Struct Reference

Structure of a BAM record. More...

`#include <SamRecord.h>`

## Public Attributes

int32_t | myBlockSize
int32_t | myReferenceID
int32_t | myPosition
uint32_t | myReadNameLength: 8
uint32_t | myMapQuality: 8
uint32_t | myBin: 16
uint32_t | myCigarLength: 16
uint32_t | myFlag: 16
int32_t | myReadLength
int32_t | myMateReferenceID
int32_t | myMatePosition
int32_t | myInsertSize
char | myData [1]

## Detailed Description

Structure of a BAM record.

Definition at line 33 of file SamRecord.h.

The documentation for this struct was generated from the following file:

- bam/SamRecord.h